package cn.iocoder.yudao.module.member.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 代码生成的场景枚举
 *
 * @author 芋道源码
 */
@AllArgsConstructor
@Getter
public enum OutTypeEnum {

    SELL(1, "售出"),
    SYSTEM_REDUCE(2, "系统扣减"),
    SYSTEM_ADD(3, "系统增加"),
    ORDER_ADD(4, "订单增加"),
    ;

    /**
     * 编码
     */
    private final Integer code;
    /**
     * 类型
     */
    private final String name;
}
